development/ipython: Updated for version 0.10

This commit is contained in:
Carlos Corbacho 2010-05-13 00:24:49 +02:00 committed by Robby Workman
parent 7b87bc849a
commit c3638014f7
2 changed files with 34 additions and 17 deletions

View File

@ -2,7 +2,7 @@
# SlackBuild for IPython
# Copyright 2008 Carlos Corbacho <carlos AT strangeworlds.co.uk>
# Copyright 2008-2009 Carlos Corbacho <carlos@strangeworlds.co.uk>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@ -22,39 +22,44 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ipython
VERSION=${VERSION:-0.9.1}
PKGNAM=ipython
VERSION=${VERSION:-0.10}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.gz
cd $PKGNAM-$VERSION
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
# Build and install:
python setup.py \
install \
--root="$PKG" \
|| exit 1
--root="$PKG"
# Install documentation:
mkdir -p $PKG/usr/doc
mv $PKG/usr/share/doc/ipython $PKG/usr/doc/ipython-$VERSION
chmod -R 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
chmod -R 644 $PKG/usr/doc/$PKGNAM-$VERSION/*
# Compress and link manpages, if any:
mv $PKG/usr/share/man $PKG/usr
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
@ -69,16 +74,26 @@ if [ -d $PKG/usr/man ]; then
done
)
fi
# Compress info files, if any:
if [ -d $PKG/usr/info ]; then
( cd $PKG/usr/info
rm -f dir
gzip -9 *
)
fi
# Delete now empty directory
rm -rf $PKG/usr/share
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
# Clean up the extra stuff:
if [ "$1" = "--cleanup" ]; then
rm -rf $TMP/$PRGNAM-$VERSION
rm -rf $TMP/$PKGNAM-$VERSION
rm -rf $PKG
fi

View File

@ -1,8 +1,10 @@
PRGNAM="ipython"
VERSION="0.9.1"
VERSION="0.10"
HOMEPAGE="http://ipython.scipy.org/"
DOWNLOAD="http://ipython.scipy.org/dist/ipython-0.9.1.tar.gz"
MD5SUM="8a1bd1a9be272f4ddf4de99e5c1ad0dc"
DOWNLOAD="http://ipython.scipy.org/dist/ipython-0.10.tar.gz"
MD5SUM="dd10cd1b622c16c1afca2239fcc0dfdf"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Carlos Corbacho"
EMAIL="carlos@strangeworlds.co.uk"
APPROVED="dsomero,rworkman"
APPROVED="rworkman"